Subject: bug#35347: CC Mode 5.33.2 (C++//l); An improper space is being added to the tabbing of a access specifier label inside of a class.

From: Alan Mackenzie <[email-masked]>
Date: Sun, 21 Apr 2019 10:06:46 +0000

Hello again, Dylan.

On Sat, Apr 20, 2019 at 15:02:47 -0600, Dylan Johnson wrote:
> Alan,

> I was not aware of this cc-mode feature. It resolved my issue.

That's great to hear!

I've closed the bug as "not a bug".

But I do wonder whether some documentation for "noise macros" could be
improved, somehow, maybe writing something about them somewhere where it
would get read.  Macros are a problem in the C/C++/... family, since
they can expand to literally anything (including nothing), making it
difficult to analyse their "syntax".

Thanks again for the report!

> Thanks,
> Dylan

-- 
Alan Mackenzie (Nuremberg, Germany).